## qjson 0.6.0

=== CMakeLists.txt ===
PROJECT(qjson)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII" )

# Stop cmake 2.6 from whining
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
IF(COMMAND cmake_policy)
  CMAKE_POLICY(SET CMP0003 NEW)
ENDIF(COMMAND cmake_policy)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")

set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})

# compile in debug mode
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
  ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
  ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
ENDIF("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")

# Ability to disable verbose debug output
IF(QJSON_VERBOSE_DEBUG_OUTPUT)
  ADD_DEFINITIONS("-DQJSON_VERBOSE_DEBUG_OUTPUT")
endif(QJSON_VERBOSE_DEBUG_OUTPUT)

# Find Qt4
FIND_PACKAGE( Qt4 REQUIRED )

SET( QT_DONT_USE_QTGUI TRUE )

#add extra search paths for libraries and includes
SET (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
SET (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")
SET (CMAKE_MODULES_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/apps/cmake/modules" CACHE PATH "The directory to install FindQRpc.cmake to")


set(QJSON_LIB_MAJOR_VERSION "0")
set(QJSON_LIB_MINOR_VERSION "6")
set(QJSON_LIB_PATCH_VERSION "0")

set(QJSON_LIB_VERSION_STRING "${QJSON_LIB_MAJOR_VERSION}.${QJSON_LIB_MINOR_VERSION}.${QJSON_LIB_PATCH_VERSION}")

set(LIBRARY_OUTPUT_PATH "${CMAKE_BINARY_DIR}/lib${LIB_SUFFIX}" )

# pkg-config
IF (NOT WIN32)
  CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/QJson.pc.in
                  ${CMAKE_CURRENT_BINARY_DIR}/QJson.pc
                  @ONLY)
  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/QJson.pc
           DESTINATION lib${LIB_SUFFIX}/pkgconfig)
ENDIF (NOT WIN32)

# Include the cmake file needed to use qt4
INCLUDE( ${QT_USE_FILE} )

# Subdirs
ADD_SUBDIRECTORY(src)
IF (KDE4_BUILD_TESTS OR QJSON_BUILD_TESTS)
  enable_testing()
  ADD_SUBDIRECTORY(tests)
ENDIF (KDE4_BUILD_TESTS OR QJSON_BUILD_TESTS)

add_subdirectory(cmake/modules)


#CONFIGURE_FILE(
#  "${CMAKE_MODULE_PATH}/cmake_uninstall.cmake.in"
#  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
#  IMMEDIATE @ONLY)

#ADD_CUSTOM_TARGET(uninstall
#  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== src/CMakeLists.txt ===
include_directories (./)

# add_custom_command (OUTPUT ${qjson_SOURCE_DIR}/lib/json_parser.cc
#                    PRE_BUILD
#                    COMMAND bison -t -o json_parser.cc -d json_parser.yy
#                    DEPENDS json_parser.yy
#                    WORKING_DIRECTORY ${qjson_SOURCE_DIR}/lib/
#                    )

install(FILES
        parser.h
        parserrunnable.h
        serializer.h
        serializerrunnable.h
        qjson_export.h
        DESTINATION ${INCLUDE_INSTALL_DIR}/qjson COMPONENT Devel
)

set(qjson_MOC_HDRS
  parserrunnable.h
  serializerrunnable.h
)

qt4_wrap_cpp(qjson_MOC_SRCS ${qjson_MOC_HDRS})

set (qjson_SRCS parser.cpp json_scanner.cpp json_parser.cc parserrunnable.cpp serializer.cpp serializerrunnable.cpp)

add_library (qjson SHARED ${qjson_SRCS} ${qjson_MOC_SRCS})
target_link_libraries( qjson ${QT_LIBRARIES})

set_target_properties(qjson PROPERTIES
                      VERSION ${QJSON_LIB_MAJOR_VERSION}.${QJSON_LIB_MINOR_VERSION}.${QJSON_LIB_PATCH_VERSION}
                      SOVERSION ${QJSON_LIB_MAJOR_VERSION}
                      DEFINE_SYMBOL QJSON_MAKEDLL
                      )

INSTALL(TARGETS qjson
   LIBRARY DESTINATION ${LIB_INSTALL_DIR}
   RUNTIME DESTINATION bin
   ARCHIVE DESTINATION  ${LIB_INSTALL_DIR}
)

=== tests/CMakeLists.txt ===
##### Probably don't want to edit below this line ##### 

SET( QT_USE_QTTEST TRUE )

# Use it
INCLUDE( ${QT_USE_FILE} )

INCLUDE(AddFileDependencies)

# Include the library include directories, and the current build directory (moc)
INCLUDE_DIRECTORIES(
	../src
	${CMAKE_CURRENT_BINARY_DIR}
)

QT4_WRAP_CPP(MOC_SOURCE cmdline_tester.cpp)
ADD_EXECUTABLE(
	cmdline_tester
	cmdline_tester.cpp
)

ADD_FILE_DEPENDENCIES(cmdline_tester.cpp ${MOC_SOURCE})
TARGET_LINK_LIBRARIES(
	cmdline_tester
	${QT_LIBRARIES}
	qjson
)

SET( UNIT_TESTS
	testjsondriver
)

# Build the tests
FOREACH(test ${UNIT_TESTS})
	MESSAGE(STATUS "Building ${test}")
	QT4_WRAP_CPP(MOC_SOURCE ${test}.cpp)
	ADD_EXECUTABLE(
		${test}
		${test}.cpp

	)
	ADD_FILE_DEPENDENCIES(${test}.cpp ${MOC_SOURCE})
	TARGET_LINK_LIBRARIES(
		${test}
		${QT_LIBRARIES}
		qjson
	)
	if (QJSON_TEST_OUTPUT STREQUAL "xml")
		# produce XML output
                add_test( ${test} ${test} -xml -o ${test}.tml )
	else (QJSON_TEST_OUTPUT STREQUAL "xml")
		add_test( ${test} ${test} )
	endif (QJSON_TEST_OUTPUT STREQUAL "xml")
ENDFOREACH()

## qjson 0.7.1

=== debian/changelog ===
qjson (0.7.1-7) unstable; urgency=low

  * Add fix_cmake_variables.patch by Ralf Jung (Closes: #687537).
    - Remove now obsolete install_cmake_config.patch.
    - Refresh enable_multiarch.patch.
    - Refresh debian/series.
    - Refresh libqjson-dev.install.
  * Fix versioned depends on debhelper. Last time we uploaded compat 9 was
    experimental.
    - Remove unused lintian override.
  * Update symbols files with symbols from the buildds.
  * Update Standars-Version to 3.9.4. No changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 08 Nov 2012 08:46:09 -0300

qjson (0.7.1-6) unstable; urgency=low

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Change my e-mail address.
  * Remove the DM-Upload-Allowed flag. It is no longer needed.
  * Use DEB_CXXFLAGS_MAINT_APPEND instead of exporting CXXFLAGS. Thanks
    Felix Geyer for the bug + solution (Closes: #647282).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 07 Nov 2011 22:45:30 -0300

qjson (0.7.1-5) unstable; urgency=low

  * Fix typos and nouns capitalization in package's descriptions.
    Thanks Filipus Klutiero for checking (Closes: #637373).

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Fri, 09 Sep 2011 18:04:49 -0300

qjson (0.7.1-4) experimental; urgency=low

  * Enable multiarch in the lib.
    - B-D on debhelper >= 8.1.3.
    - B-D on cmake >= 2.8.5. Thanks Modestas Vainius for the tip.
    - Update debian/compat to 9.
    - Modify debian/*.install files to support arch triplets.
    - Patch CMakeLists.txt to install stuff in ${CMAKE_LIBRARY_ARCHITECTURE},
      wich is the same as DEB_HOST_MULTIARCH. Also thanks Modestas.
    - Add Pre-Depends: ${misc:Pre-Depends} to libqjson0.
    - Add a lintian override on debian/compat being 9, wich is still
      experimental.
    - Mark libqjson0 Multi-Arch: same.
  * Do not install FindQJSON.cmake. CMake maintainer tells me this must have
    been for older versions of CMake.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Thu, 28 Jul 2011 17:38:49 -0300

qjson (0.7.1-3) unstable; urgency=low

  * Fix watch file. Thanks José Manuel Santamaría Lema for the pointer.
  * Remember to install CMake's config files. Thanks Felix Geyer.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Thu, 16 Jun 2011 09:28:12 -0300

qjson (0.7.1-2) unstable; urgency=low

  * Switched packaging to format 3.0 (quilt).
  * Added visibility flags to generate less noisier symbol files.
  * Added a symbol file.
  * Removed duplicate "Section" field in libqjson0.
  * Bumped standards version to 3.9.2, no changes needed.
  * Make the debugging package recommend libqt4-dbg.
  * Enable DM-Upload-Allowed.
  * Rename libqjson0-dbg to libqjson-dbg, as it's easier to maintain.
    - Rename the dbg package in debian/rules.
    - Rename the dbg package in debian/control.
    - Add Breaks and Replaces statements on libqjson0-dbg to libqjson-dbg.
    - Provide a transitional dummy package libqjson0-dbg.
    - Tell Lintian not to complain about missing dependencies with the
      dummy package.
  * Be more verbose on install files.
  * Build-Depend on pkg-kde-tools in order to use pkgkde-symbolshelper.
  * Enable parallel build.
  * Create CMake's config files using changes introduced upstream. See
    install_cmake_config.patch for more info (Closes: #628981).

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 12 Jun 2011 16:16:06 -0300

qjson (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Thu, 03 Dec 2009 21:15:23 -0300

qjson (0.6.3+svn1050695-1) unstable; urgency=low

  * New upstream release.
  * Improved parser performances.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Tue, 17 Nov 2009 19:47:52 -0300

qjson (0.6.2-1) unstable; urgency=low

  * Initial release (Closes: #549160)

  +++ Changes by Sune Vuorela:

  * Add dbg package

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 27 Sep 2009 17:44:37 -0300

=== debian/control ===
Source: qjson
Priority: extra
Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>
Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), cmake (>= 2.8.5),
 libqt4-dev, pkg-kde-tools (>= 0.6)
Standards-Version: 3.9.4
Section: libs
Homepage: http://qjson.sourceforge.net/

Package: libqjson0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Qt-based library that maps JSON data to QVariant objects
 JSON (JavaScript Object Notation) is a lightweight data-interchange format.
 It can represent integers, real numbers, strings, an ordered sequence of
 values, and a collection of name/value pairs.
 .
 QJson is a Qt-based library that maps JSON data to QVariant objects: JSON
 arrays will be mapped to QVariantList instances, while JSON objects will be
 mapped to QVariantMap.

Package: libqjson-dev
Section: libdevel
Architecture: any
Depends: libqjson0 (= ${binary:Version}), ${misc:Depends}
Description: Qt-based library that maps JSON data to QVariant objects - development files
 JSON (JavaScript Object Notation) is a lightweight data-interchange format. 
 It can represent integers, real numbers, strings, an ordered sequence of
 values, and a collection of name/value pairs.
 .
 QJson is a Qt-based library that maps JSON data to QVariant objects: JSON
 arrays will be mapped to QVariantList instances, while JSON objects will be 
 mapped to QVariantMap.
 .
 These are the development files.

Package: libqjson-dbg
Section: debug
Architecture: any
Recommends: libqt4-dbg
Depends: ${shlibs:Depends}, ${misc:Depends}, libqjson0 (= ${binary:Version})
Replaces: libqjson0-dbg (<< 0.7.1-1)
Breaks: libqjson0-dbg (<< 0.7.1-1)
Description: Qt-based library that maps JSON data to QVariant objects, debug info
 debug info for qt based library that maps JSON adta to QVariant objects.
 .
 QJson is a Qt-based library that maps JSON data to QVariant objects: JSON
 arrays will be mapped to QVariantList instances, while JSON objects will be
 mapped to QVariantMap.

Package: libqjson0-dbg
Section: oldlibs
Architecture: all
Depends: libqjson-dbg, ${misc:Depends}
Description: trasitional dummy package for qjson's debugging symbols
 This package is intended to provide a smooth transition to
 libqjson-dbg. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden \
        -fvisibility-inlines-hidden

%:
	dh $@ --dbg-package=libqjson-dbg \
	--with=pkgkde-symbolshelper \
	--parallel \
	--list-missing

## qjson 0.8.1

=== CMakeLists.txt ===
PROJECT(qjson)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII" )

# Stop cmake 2.6 from whining
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
CMAKE_POLICY(SET CMP0003 NEW)

set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})

# compile in debug mode
IF(NOT CMAKE_BUILD_TYPE)
  SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel.")
ENDIF(NOT CMAKE_BUILD_TYPE)

IF("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")
  ADD_DEFINITIONS("-DQT_NO_DEBUG_OUTPUT")
ENDIF("${CMAKE_BUILD_TYPE}" MATCHES "^Rel.*")

# Ability to disable verbose debug output
IF(QJSON_VERBOSE_DEBUG_OUTPUT)
  ADD_DEFINITIONS("-DQJSON_VERBOSE_DEBUG_OUTPUT")
endif(QJSON_VERBOSE_DEBUG_OUTPUT)

OPTION(OSX_FRAMEWORK "Build a Mac OS X Framework")
SET(FRAMEWORK_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/Library/Frameworks"
    CACHE PATH "Where to place qjson.framework if OSX_FRAMEWORK is selected")

# Don't use absolute path in qjson-targets-*.cmake
# (This will have no effect with CMake < 2.8)
SET(QT_USE_IMPORTED_TARGETS TRUE)

# Find Qt4
FIND_PACKAGE( Qt4 REQUIRED )

IF (NOT WIN32)
  SET( QT_DONT_USE_QTGUI TRUE )
ENDIF()

# Include the cmake file needed to use qt4
INCLUDE( ${QT_USE_FILE} )

#add extra search paths for libraries and includes
SET (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
SET (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")
SET (CMAKECONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/${CMAKE_PROJECT_NAME}" CACHE PATH "Directory where to install QJSONConfig.cmake")

set(QJSON_LIB_MAJOR_VERSION "0")
set(QJSON_LIB_MINOR_VERSION "8")
set(QJSON_LIB_PATCH_VERSION "1")

set(QJSON_LIB_VERSION_STRING "${QJSON_LIB_MAJOR_VERSION}.${QJSON_LIB_MINOR_VERSION}.${QJSON_LIB_PATCH_VERSION}")

set(LIBRARY_OUTPUT_PATH "${CMAKE_BINARY_DIR}/lib" )

# pkg-config
IF (NOT WIN32)
  CONFIGURE_FILE (${CMAKE_CURRENT_SOURCE_DIR}/QJson.pc.in
                  ${CMAKE_CURRENT_BINARY_DIR}/QJson.pc
                  @ONLY)
  INSTALL (FILES ${CMAKE_CURRENT_BINARY_DIR}/QJson.pc
           DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
ENDIF (NOT WIN32)

# Subdirs
ADD_SUBDIRECTORY(src)
IF (KDE4_BUILD_TESTS OR QJSON_BUILD_TESTS)
  enable_testing()
  ADD_SUBDIRECTORY(tests)
ENDIF (KDE4_BUILD_TESTS OR QJSON_BUILD_TESTS)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

INSTALL(EXPORT qjson-export DESTINATION ${CMAKECONFIG_INSTALL_DIR} FILE QJSONTargets.cmake)

# figure out the relative path from the installed Config.cmake file to the install prefix (which may be at
# runtime different from the chosen CMAKE_INSTALL_PREFIX if under Windows the package was installed anywhere)
# This relative path will be configured into the QJSONConfig.cmake
file(RELATIVE_PATH relInstallDir ${CMAKE_INSTALL_PREFIX}/${CMAKECONFIG_INSTALL_DIR} ${CMAKE_INSTALL_PREFIX} )

# cmake-modules
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/QJSONConfig.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/QJSONConfig.cmake
               @ONLY)
CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/QJSONConfigVersion.cmake.in
               ${CMAKE_CURRENT_BINARY_DIR}/QJSONConfigVersion.cmake
               @ONLY)
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/QJSONConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/QJSONConfigVersion.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}")

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

=== tests/parser/CMakeLists.txt ===
##### Probably don't want to edit below this line #####

SET( QT_USE_QTTEST TRUE )

# Use it
INCLUDE( ${QT_USE_FILE} )

INCLUDE(AddFileDependencies)

# Include the library include directories, and the current build directory (moc)
INCLUDE_DIRECTORIES(
  ../../include
  ${CMAKE_CURRENT_BINARY_DIR}
)

SET( UNIT_TESTS
  testparser
)

# Build the tests
FOREACH(test ${UNIT_TESTS})
  MESSAGE(STATUS "Building ${test}")
  QT4_WRAP_CPP(MOC_SOURCE ${test}.cpp)
  ADD_EXECUTABLE(
    ${test}
    ${test}.cpp
  )

  ADD_FILE_DEPENDENCIES(${test}.cpp ${MOC_SOURCE})
  TARGET_LINK_LIBRARIES(
    ${test}
    ${QT_LIBRARIES}
    qjson
  )
  if (QJSON_TEST_OUTPUT STREQUAL "xml")
    # produce XML output
    add_test( ${test} ${test} -xml -o ${test}.tml )
  else (QJSON_TEST_OUTPUT STREQUAL "xml")
    add_test( ${test} ${test} )
  endif (QJSON_TEST_OUTPUT STREQUAL "xml")
ENDFOREACH()

=== tests/serializer/CMakeLists.txt ===
##### Probably don't want to edit below this line #####

SET( QT_USE_QTTEST TRUE )

# Use it
INCLUDE( ${QT_USE_FILE} )

INCLUDE(AddFileDependencies)

# Include the library include directories, and the current build directory (moc)
INCLUDE_DIRECTORIES(
  ../../include
  ${CMAKE_CURRENT_BINARY_DIR}
)

SET( UNIT_TESTS
  testserializer
)

# Build the tests
FOREACH(test ${UNIT_TESTS})
  MESSAGE(STATUS "Building ${test}")
  QT4_WRAP_CPP(MOC_SOURCE ${test}.cpp)
  ADD_EXECUTABLE(
    ${test}
    ${test}.cpp
  )

  ADD_FILE_DEPENDENCIES(${test}.cpp ${MOC_SOURCE})
  TARGET_LINK_LIBRARIES(
    ${test}
    ${QT_LIBRARIES}
    qjson
  )
  if (QJSON_TEST_OUTPUT STREQUAL "xml")
    # produce XML output
    add_test( ${test} ${test} -xml -o ${test}.tml )
  else (QJSON_TEST_OUTPUT STREQUAL "xml")
    add_test( ${test} ${test} )
  endif (QJSON_TEST_OUTPUT STREQUAL "xml")
ENDFOREACH()

=== debian/changelog ===
qjson (0.8.1-3) unstable; urgency=low

  * Switch priority to optional. A lot of packages with priority optional
    depend on qjson, so going against the Debian policy.
    Thanks Pino Toscano for pointing it out.
  * Update symbols file with buildds' logs.
  * Make libqjson-dbg and libqjson0-dbg Priority: extra.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 04 Sep 2013 21:10:24 -0300

qjson (0.8.1-2) unstable; urgency=low

  * Upload to unstable.
  * Enable tests. Thanks Pino for the pointer :)
  * Confirm symbols from other architectures.
  * Fix typo in package description. Thanks Pascal De Vuyst (Closes: #712404).
  * Fix missing M-A qualification of the debug package.
  * Update amd64 symbols.
  * Fail if we are not shipping some files.
  * Be sure to build against Qt4 by exporting QT_SELECT. Not really needed,
    but doesn't hurts.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Jun 2013 14:30:37 -0300

qjson (0.8.1-1) experimental; urgency=low

  * New upstream release.
  * Remove fix_cmake_variables.patch, not necessary anymore.
  * Refresh enable_multiarch.patch.
  * Fix docs installation.
  * Refresh symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 28 Nov 2012 09:41:44 -0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: qjson
-Priority: extra
+Priority: optional
 Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>
 Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), cmake (>= 2.8.5),
@@ -39,7 +39,9 @@
 
 Package: libqjson-dbg
 Section: debug
+Priority: extra
 Architecture: any
+Multi-Arch: same
 Recommends: libqt4-dbg
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqjson0 (= ${binary:Version})
 Replaces: libqjson0-dbg (<< 0.7.1-1)
@@ -53,8 +55,9 @@
 
 Package: libqjson0-dbg
 Section: oldlibs
+Priority: extra
 Architecture: all
 Depends: libqjson-dbg, ${misc:Depends}
-Description: trasitional dummy package for qjson's debugging symbols
+Description: transitional dummy package for qjson's debugging symbols
  This package is intended to provide a smooth transition to
  libqjson-dbg. It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,15 @@
 
 export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden \
         -fvisibility-inlines-hidden
+export QT_SELECT := qt4
 
 %:
 	dh $@ --dbg-package=libqjson-dbg \
 	--with=pkgkde-symbolshelper \
-	--parallel \
-	--list-missing
+	--parallel
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DQJSON_BUILD_TESTS=ON
+
+override_dh_install:
+	dh_install --fail-missing

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://sf.net/qjson/qjson-(.*)\.tar\.bz2

## qjson 0.8.1-2%2bfremantle0

=== CMakeLists.txt ===
--- 
+++ 
@@ -42,8 +42,7 @@
 INCLUDE( ${QT_USE_FILE} )
 
 #add extra search paths for libraries and includes
-SET (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
-SET (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Directory where lib will install")
+SET (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib/${CMAKE_LIBRARY_ARCHITECTURE}" CACHE STRING "Directory where lib will install")
 SET (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include" CACHE PATH "The directory the headers are installed in")
 SET (CMAKECONFIG_INSTALL_DIR "${LIB_INSTALL_DIR}/cmake/${CMAKE_PROJECT_NAME}" CACHE PATH "Directory where to install QJSONConfig.cmake")

=== debian/changelog ===
qjson (0.8.1-2+fremantle0) unstable; urgency=low

  * Initial port for Fremantle

 -- Marcin Mielniczuk <marmistrz@inboxalias.com>  Mon, 10 Feb 2014 18:12:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: qjson
-Priority: optional
-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Priority: extra
+Maintainer: Marcin Mielniczuk <marmistrz@inboxalias.com>
+XSBC-Original-Maintainer: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>
-Build-Depends: dpkg (>= 1.16.1~), debhelper (>= 9), cmake (>= 2.8.5),
- libqt4-dev, pkg-kde-tools (>= 0.6)
+Build-Depends: dpkg, debhelper, cmake,
+ libqt4-dev, pkg-kde-tools, maemo-optify
 Standards-Version: 3.9.4
 Section: libs
 Homepage: http://qjson.sourceforge.net/
 
 Package: libqjson0
-Architecture: any
+Architecture: armel
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
@@ -22,9 +23,17 @@
  arrays will be mapped to QVariantList instances, while JSON objects will be
  mapped to QVariantMap.
 
+Package: libqjson
+Architecture: armel
+Depends: ${misc:Depends}, libqjson0 (= ${binary:Version})
+Multi-Arch: same
+Description: transitional dummy package for qjson's main package
+ This package is intended to provide a smooth transition to
+ libqjson. It can be safely removed.
+
 Package: libqjson-dev
 Section: libdevel
-Architecture: any
+Architecture: armel
 Depends: libqjson0 (= ${binary:Version}), ${misc:Depends}
 Description: Qt-based library that maps JSON data to QVariant objects - development files
  JSON (JavaScript Object Notation) is a lightweight data-interchange format. 
@@ -39,8 +48,7 @@
 
 Package: libqjson-dbg
 Section: debug
-Priority: extra
-Architecture: any
+Architecture: armel
 Multi-Arch: same
 Recommends: libqt4-dbg
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqjson0 (= ${binary:Version})
@@ -55,8 +63,7 @@
 
 Package: libqjson0-dbg
 Section: oldlibs
-Priority: extra
-Architecture: all
+Architecture: armel
 Depends: libqjson-dbg, ${misc:Depends}
 Description: transitional dummy package for qjson's debugging symbols
  This package is intended to provide a smooth transition to

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden \
        -fvisibility-inlines-hidden
export QT_SELECT := qt4

%:
	dh $@ --dbg-package=libqjson-dbg \
	--parallel

override_dh_auto_configure:
	dh_auto_configure -- -DQJSON_BUILD_TESTS=ON

override_dh_install:
	dh_install --fail-missing

override_dh_gencontrol:
	dh_gencontrol
	maemo-optify
